// Ghost Warrior armor set effects
ServerEvents.tick(event => {
    event.server.players.forEach(player => {
        if (!player || player.isCreative() || player.isSpectator()) return

        // Check full armor
        const wearingFullGhost =
            player.getEquipment('head').id == 'eeeabsmobs:ghost_warrior_helmet' &&
            player.getEquipment('chest').id == 'eeeabsmobs:ghost_warrior_chestplate' &&
            player.getEquipment('legs').id == 'eeeabsmobs:ghost_warrior_leggings' &&
            player.getEquipment('feet').id == 'eeeabsmobs:ghost_warrior_boots'

        if (!wearingFullGhost) return

        player.potionEffects.add('born_in_chaos_v1:vampiric_touch', 60, 0, true, true)
        player.potionEffects.add('alexsmobs:soulsteal', 60, 0, true, true)
    })
})